package de.jottyfan.camporganizer.module.business.business;

import java.util.List;

import javax.servlet.http.HttpServletRequest;

import de.jottyfan.camporganizer.module.business.business.impl.CampBudgetBean;

/**
 *
 * @author jotty
 *
 */
public interface IBusinessService {
	/**
	 * get the user of this session
	 *
	 * @param request the request
	 * @return the username of the current user
	 */
	public String getCurrentUser(HttpServletRequest request);

	/**
	 * get a list of all camp budgets of all years
	 *
	 * @param username the name of the current user in this session
	 * @return the list; an empty one at least
	 */
	public List<CampBudgetBean> getCampBudgets(String username);
}
