package de.jottyfan.camporganizer.module.business.camp;

import java.util.List;

import de.jottyfan.camporganizer.module.business.camp.impl.BookingBean;
import de.jottyfan.camporganizer.module.business.camp.impl.CampBean;
import de.jottyfan.camporganizer.module.business.camp.impl.PersonBean;

/**
 *
 * @author jotty
 *
 */
public interface ICampService {

	/**
	 * get the camp bean of id
	 *
	 * @param id the id of the camp
	 * @param username the name of the user in this session
	 * @return the camp bean if found; null otherwise
	 */
	public CampBean getCamp(Integer id, String username);

	/**
	 * get the booking information for camp with id
	 *
	 * @param id the id of the camp
	 * @param username the name of the user in this session
	 * @return a booking bean
	 */
	public BookingBean getBookings(Integer id, String username);

	/**
	 * get the bookers information for camp with id
	 *
	 * @param id the id of the camp
	 * @param username the name of the user in this session
	 * @return the list of bookers; an empty one at least
	 */
	public List<PersonBean> getBookers(Integer id, String username);

}
