package de.jottyfan.camporganizer.module.business.privileges;

import java.util.List;
import java.util.Map;

import de.jottyfan.camporganizer.module.business.camp.impl.CampBean;
import de.jottyfan.camporganizer.module.business.privileges.impl.PrivilegesBean;
import de.jottyfan.camporganizer.module.business.privileges.impl.ProfileBean;

/**
 *
 * @author jotty
 *
 */
public interface IPrivilegesService {

	/**
	 * get all current privileges for the sales
	 *
	 * @return the privileges for sales
	 */
	public Map<Integer, CampBean> getPrivileges();

	/**
	 * get all profiles
	 *
	 * @return the profiles
	 */
	public List<ProfileBean> getProfiles();

	/**
	 * add a privilege
	 *
	 * @param bean the bean
	 */
	public void add(PrivilegesBean bean);

	/**
	 * remove a privilege
	 *
	 * @param bean the bean
	 * @param currentUser the current user in this sessionö
	 */
	public void remove(PrivilegesBean bean, String currentUser);
}
